//+------------------------------------------------------------------+
//|                                Demo_HistoryDealSelectByIndex.mq5 |
//|                        Copyright 2010, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2010, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
#property version   "1.00"

input long my_magic=111;
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
// ---     
   datetime end=TimeCurrent();                 //   
   datetime start=end-PeriodSeconds(PERIOD_D1);//    
//---        
   HistorySelect(start,end);

//---     
   int deals=HistoryDealsTotal();

   int returns=0;
   double profit=0;
   double loss=0;
//---      
   for(int i=0;i<deals;i++)
     {
      //---        
      ulong deal_ticket=HistoryDealGetTicket(i);
      if(deal_ticket>0) //    ,   
        {
         string symbol=HistoryDealGetString(deal_ticket,DEAL_SYMBOL);
         datetime time=HistoryDealGetInteger(deal_ticket,DEAL_TIME);
         ulong order=HistoryDealGetInteger(deal_ticket,DEAL_ORDER);
         long order_magic=HistoryDealGetInteger(deal_ticket,DEAL_MAGIC);
         long pos_ID=HistoryDealGetInteger(deal_ticket,DEAL_POSITION_ID);
         ENUM_DEAL_ENTRY entry_type=(ENUM_DEAL_ENTRY)HistoryDealGetInteger(deal_ticket,DEAL_ENTRY);

         //---     DEAL_MAGIC
         if(order_magic==my_magic)
           {
            //...  
           }

         //---       
         if(entry_type==DEAL_ENTRY_OUT)
           {
            //---    
            returns++;
            //---  
            double result=HistoryDealGetDouble(deal_ticket,DEAL_PROFIT);
            //---      
            if(result>0) profit+=result;
            //---      
            if(result<0) loss+=result;
           }
        }
      else //    
        {
         PrintFormat("      %d.  %d",
                     i,GetLastError());
        }
     }
   //---   
   PrintFormat(" %d    . =%.2f , = %.2f",
               returns,profit,loss);
  }
//+------------------------------------------------------------------+
