//+------------------------------------------------------------------+
//|                               Demo_HistoryDealSelectByTicket.mq5 |
//|                        Copyright 2010, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2010, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
#property version   "1.00"
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
// ---     
   datetime end=TimeCurrent();                 //   
   datetime start=end-PeriodSeconds(PERIOD_D1);//    
//---        
   HistorySelect(start,end);
//---     
   int deals=HistoryDealsTotal();
//---   ,     
   ulong deal_ticket=HistoryDealGetTicket(deals-1);
   if(deal_ticket>0) //    ,   
     {
      //---  ,      
      ulong order=HistoryDealGetInteger(deal_ticket,DEAL_ORDER);
      long order_magic=HistoryDealGetInteger(deal_ticket,DEAL_MAGIC);
      long pos_ID=HistoryDealGetInteger(deal_ticket,DEAL_POSITION_ID);
      PrintFormat(" #%d   #%d  ORDER_MAGIC=%d   ",
                  deals-1,order,order_magic,pos_ID);

     }
   else              //    
     {
      PrintFormat("   %d ,    "+
                  "   %d.  %d",deals,deals-1,GetLastError());
     }
  }
//+------------------------------------------------------------------+
