//+------------------------------------------------------------------+
//|                               Demo_HistoryOrderSelectByIndex.mq5 |
//|                        Copyright 2010, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2010, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
#property version   "1.00"
#property script_show_inputs

input long my_magic=999;
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
// ---     
   datetime end=TimeCurrent();                 //   
   datetime start=end-PeriodSeconds(PERIOD_D1);//    
//---        
   HistorySelect(start,end);
//---     
   int history_orders=HistoryOrdersTotal();
//---     
   for(int i=0;i<history_orders;i++)
     {
      //---        
      ulong order_ticket=HistoryOrderGetTicket(i);
      if(order_ticket>0) //      ,   
        {
         //---  
         datetime time_done=HistoryOrderGetInteger(order_ticket,ORDER_TIME_DONE);
         long order_magic=HistoryOrderGetInteger(order_ticket,ORDER_MAGIC);
         long pos_ID=HistoryOrderGetInteger(order_ticket,ORDER_POSITION_ID);
         if(order_magic==my_magic)
           {
           //      ORDER_MAGIC
           }
         PrintFormat(" #%d: ORDER_MAGIC=#%d, time_done %s, ORDER_POSITION_ID=%d",
                     order_ticket,order_magic,TimeToString(time_done),pos_ID);
        }
      else               //      
        {
         PrintFormat("      %d.  %d",
                     i,GetLastError());
        }
     }
  }
//+------------------------------------------------------------------+
