//+------------------------------------------------------------------+
//|                              Demo_HistoryOrderSelectByTicket.mq5 |
//|                        Copyright 2010, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2010, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
#property version   "1.00"
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
// ---     
   datetime end=TimeCurrent();                 //   
   datetime start=end-PeriodSeconds(PERIOD_D1);//    
//---        
   HistorySelect(start,end);
//---     
   int history_orders=HistoryOrdersTotal();
//---     ,     
   ulong order_ticket=HistoryOrderGetTicket(history_orders-1);
   if(order_ticket>0) //     ,   
     {
      //---  
      ENUM_ORDER_STATE state=(ENUM_ORDER_STATE)HistoryOrderGetInteger(order_ticket,ORDER_STATE);
      long order_magic=HistoryOrderGetInteger(order_ticket,ORDER_MAGIC);
      long pos_ID=HistoryOrderGetInteger(order_ticket,ORDER_POSITION_ID);
      PrintFormat(" #%d: ORDER_MAGIC=#%d, ORDER_STATE=%d, ORDER_POSITION_ID=%d",
                  order_ticket,order_magic,EnumToString(state),pos_ID);

     }
   else              //    
     {
      PrintFormat("   %d ,    "+
                  "   %d.  %d",history_orders,history_orders-1,GetLastError());
     }
  }
//+------------------------------------------------------------------+
