//+------------------------------------------------------------------+
//|                                   Demo_OrderGetTicketByIndex.mq5 |
//|                        Copyright 2010, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2010, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
#property version   "1.00"
#property script_show_inputs

input long my_magic=555;
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
//---    
   int orders=OrdersTotal();
//---    
   for(int i=0;i<orders;i++)
     {
      ResetLastError();
      //---         
      ulong ticket=OrderGetTicket(i);
      if(ticket!=0)//      ,   
        {
         double price_open=OrderGetDouble(ORDER_PRICE_OPEN);
         datetime time_setup=OrderGetInteger(ORDER_TIME_SETUP);
         string symbol=OrderGetString(ORDER_SYMBOL);
         long magic_number=OrderGetInteger(ORDER_MAGIC);
         if(magic_number==my_magic)
           {
            //      ORDER_MAGIC
           }
         PrintFormat(" #%d  %s   %s, ORDER_MAGIC=%d",ticket,symbol,TimeToString(time_setup),magic_number);
        }
      else         //  OrderGetTicket()  
        {
         PrintFormat("       .  : %d",GetLastError());
        }
     }
  }
//+------------------------------------------------------------------+
