//+------------------------------------------------------------------+
//|                                Demo_PositionGetSymbolByIndex.mq5 |
//|                        Copyright 2010, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2010, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
#property version   "1.00"
#property script_show_inputs

input long my_magic=777;
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
//---
//---    
   int positions=PositionsTotal();
//---    
   for(int i=0;i<positions;i++)
     {
      ResetLastError();
      //---         
      string symbol=PositionGetSymbol(i); //     ,    
      if(symbol!="") //    ,   
        {
         long pos_id=PositionGetInteger(POSITION_IDENTIFIER);
         double price=PositionGetDouble(POSITION_PRICE_OPEN);
         ENUM_POSITION_TYPE type=(ENUM_POSITION_TYPE)PositionGetInteger(POSITION_TYPE);
         long pos_magic=PositionGetInteger(POSITION_MAGIC);
         string comment=PositionGetString(POSITION_COMMENT);
         if(pos_magic==my_magic)
           {
           //      POSITION_MAGIC
           }
         PrintFormat(" #%d  %s: POSITION_MAGIC=%d, =%G, =%s, =%s",
                     pos_id,symbol,pos_magic,price,EnumToString(type),comment);
        }
      else           //  PositionGetSymbol()  
        {
         PrintFormat("      c  %d."+
                     "  : %d", i, GetLastError());
        }
     }
  }

//+------------------------------------------------------------------+
