//+------------------------------------------------------------------+
//|                                  Demo_PositionSelectBySymbol.mq5 |
//|                        Copyright 2010, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2010, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
#property version   "1.00"
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
//---      ,    
   string symbol=Symbol();
//---   
   bool selected=PositionSelect(symbol);
   if(selected) //   
     {
      long pos_id=PositionGetInteger(POSITION_IDENTIFIER);
      double price=PositionGetDouble(POSITION_PRICE_OPEN);
      ENUM_POSITION_TYPE type=(ENUM_POSITION_TYPE)PositionGetInteger(POSITION_TYPE);
      long pos_magic=PositionGetInteger(POSITION_MAGIC);
      string comment=PositionGetString(POSITION_COMMENT);
      PrintFormat(" #%d  %s: POSITION_MAGIC=%d, =%G, =%s, =%s",
                  pos_id, symbol, pos_magic, price,EnumToString(type), comment);
     }
   else        //     
     {
      PrintFormat("      %s. ",symbol,GetLastError());
     }
  }
//+------------------------------------------------------------------+
